{
	"patcher" : 	{
		"fileversion" : 1,
		"rect" : [ 203.0, 259.0, 642.0, 531.0 ],
		"bglocked" : 0,
		"defrect" : [ 203.0, 259.0, 642.0, 531.0 ],
		"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
		"openinpresentation" : 0,
		"default_fontsize" : 12.0,
		"default_fontface" : 0,
		"default_fontname" : "Arial",
		"gridonopen" : 0,
		"gridsize" : [ 15.0, 15.0 ],
		"gridsnaponopen" : 0,
		"toolbarvisible" : 1,
		"boxanimatetime" : 200,
		"imprint" : 0,
		"metadata" : [  ],
		"boxes" : [ 			{
				"box" : 				{
					"maxclass" : "umenu",
					"types" : [  ],
					"id" : "obj-71",
					"patching_rect" : [ 28.0, 138.0, 104.0, 17.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"fontsize" : 9.0,
					"numoutlets" : 3,
					"items" : [ "connect", ",", "startdata", ",", "stopdata", ",", "disconnect" ],
					"outlettype" : [ "int", "", "" ],
					"labelclick" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Order of messages being sent out is from right to left.  So the y coordinate will be sent first, followed by the x coordinate after",
					"linecount" : 3,
					"id" : "obj-25",
					"patching_rect" : [ 13.0, 404.0, 256.0, 38.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"fontsize" : 9.0,
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "umenu",
					"types" : [  ],
					"id" : "obj-1",
					"patching_rect" : [ 81.0, 251.0, 39.0, 17.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"fontsize" : 9.0,
					"numoutlets" : 3,
					"items" : [ 60, ",", 120 ],
					"outlettype" : [ "int", "", "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"minimum" : 1,
					"id" : "obj-2",
					"patching_rect" : [ 267.0, 266.0, 35.0, 17.0 ],
					"fontname" : "Arial",
					"maximum" : 89,
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
					"numinlets" : 1,
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"fontsize" : 9.0,
					"numoutlets" : 2,
					"triscale" : 0.9,
					"outlettype" : [ "int", "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Velocity threshold (degrees/second). Defaults to 20. You should only use values between 1 and 89.",
					"linecount" : 2,
					"id" : "obj-3",
					"patching_rect" : [ 312.0, 260.0, 247.0, 27.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"fontsize" : 9.0,
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "fixation end",
					"id" : "obj-4",
					"patching_rect" : [ 22.0, 382.0, 62.0, 17.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"fontsize" : 9.0,
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "x coord.",
					"id" : "obj-5",
					"patching_rect" : [ 83.0, 382.0, 47.0, 17.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"fontsize" : 9.0,
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "y coord.",
					"id" : "obj-6",
					"patching_rect" : [ 144.0, 382.0, 43.0, 17.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"fontsize" : 9.0,
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "button",
					"id" : "obj-7",
					"patching_rect" : [ 22.0, 361.0, 15.0, 15.0 ],
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"id" : "obj-8",
					"patching_rect" : [ 83.0, 361.0, 35.0, 17.0 ],
					"fontname" : "Arial",
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
					"numinlets" : 1,
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"fontsize" : 9.0,
					"numoutlets" : 2,
					"triscale" : 0.9,
					"outlettype" : [ "int", "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"id" : "obj-9",
					"patching_rect" : [ 144.0, 361.0, 35.0, 17.0 ],
					"fontname" : "Arial",
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
					"numinlets" : 1,
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"fontsize" : 9.0,
					"numoutlets" : 2,
					"triscale" : 0.9,
					"outlettype" : [ "int", "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Fixation algorithm (defaults to dispersion)",
					"id" : "obj-10",
					"patching_rect" : [ 170.0, 184.0, 203.0, 17.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"fontsize" : 9.0,
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "fixation3 was created by Anthony Hornof, Erik Brown, Linda Sato, Tim Halverson, and Kyle Vessey. © 2009 The University of Oregon.",
					"linecount" : 2,
					"id" : "obj-11",
					"patching_rect" : [ 18.0, 489.0, 419.0, 27.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"fontsize" : 9.0,
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"minimum" : 100,
					"id" : "obj-12",
					"patching_rect" : [ 283.0, 297.0, 35.0, 17.0 ],
					"fontname" : "Arial",
					"maximum" : 300,
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
					"numinlets" : 1,
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"fontsize" : 9.0,
					"numoutlets" : 2,
					"triscale" : 0.9,
					"outlettype" : [ "int", "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Duration threshold (ms). Defaults to 6 samples (100ms) for dispersion and 5 good samples for velocity.",
					"linecount" : 2,
					"id" : "obj-13",
					"patching_rect" : [ 327.0, 292.0, 259.0, 27.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"fontsize" : 9.0,
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Eye tracker sample rate (Hz).  Defualts to 60Hz",
					"linecount" : 2,
					"id" : "obj-14",
					"patching_rect" : [ 78.0, 223.0, 137.0, 27.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"fontsize" : 9.0,
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"minimum" : 1,
					"id" : "obj-15",
					"patching_rect" : [ 250.0, 233.0, 35.0, 17.0 ],
					"fontname" : "Arial",
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
					"numinlets" : 1,
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"fontsize" : 9.0,
					"numoutlets" : 2,
					"triscale" : 0.9,
					"outlettype" : [ "int", "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "umenu",
					"types" : [  ],
					"id" : "obj-16",
					"patching_rect" : [ 173.0, 203.0, 117.0, 17.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"fontsize" : 9.0,
					"numoutlets" : 3,
					"items" : [ "algorithm", "dispersion", ",", "algorithm", "velocity" ],
					"outlettype" : [ "int", "", "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Dispersion threshold radius (in pixels). Defaults to 20, which is 0.5° at 23 inches and 94 pixels/inch.",
					"linecount" : 2,
					"id" : "obj-17",
					"patching_rect" : [ 293.0, 227.0, 245.0, 27.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"fontsize" : 9.0,
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "eyedata5",
					"id" : "obj-18",
					"patching_rect" : [ 31.0, 164.0, 133.0, 17.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"fontsize" : 9.0,
					"numoutlets" : 5,
					"outlettype" : [ "int", "int", "float", "int", "int" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "fixation3",
					"id" : "obj-19",
					"patching_rect" : [ 22.0, 329.0, 100.0, 17.0 ],
					"fontname" : "Arial",
					"numinlets" : 7,
					"fontsize" : 9.0,
					"numoutlets" : 3,
					"outlettype" : [ "int", "float", "float" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "fixation3",
					"id" : "obj-20",
					"patching_rect" : [ 19.0, 28.0, 106.0, 27.0 ],
					"fontname" : "Arial",
					"textcolor" : [ 0.082353, 0.219608, 0.035294, 1.0 ],
					"numinlets" : 1,
					"frgb" : [ 0.082353, 0.219608, 0.035294, 1.0 ],
					"fontsize" : 18.0,
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Calculate fixation points from a continuous stream of eyegaze data.",
					"id" : "obj-21",
					"patching_rect" : [ 18.0, 56.0, 353.0, 17.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"fontsize" : 9.0,
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"id" : "obj-22",
					"patching_rect" : [ 13.0, 26.0, 426.0, 50.0 ],
					"bgcolor" : [ 1.0, 0.968627, 0.811765, 1.0 ],
					"rounded" : 0,
					"numinlets" : 1,
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Fixation3 accepts three inputs corresponding to eye gaze data: an x and y position and a flag whether the eye was found. The other four inputs are the sample rate, the fixation algorithm, the fixation threshold, and the duration threshold for detecting a fixation. Defaults are indicated for when nothing goes into the inlet.",
					"linecount" : 4,
					"id" : "obj-23",
					"patching_rect" : [ 13.0, 82.0, 427.0, 48.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"fontsize" : 9.0,
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "In the outlets, the x and y coordinates are set when a fixation begins. A zero is sent out the third outlet when a fixation ends.",
					"linecount" : 3,
					"id" : "obj-24",
					"patching_rect" : [ 216.0, 349.0, 240.0, 38.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"fontsize" : 9.0,
					"numoutlets" : 0
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"source" : [ "obj-19", 2 ],
					"destination" : [ "obj-9", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-19", 1 ],
					"destination" : [ "obj-8", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-19", 0 ],
					"destination" : [ "obj-7", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-18", 3 ],
					"destination" : [ "obj-19", 0 ],
					"hidden" : 0,
					"midpoints" : [ 126.0, 197.0, 31.5, 197.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-18", 4 ],
					"destination" : [ "obj-19", 1 ],
					"hidden" : 0,
					"midpoints" : [ 154.5, 207.0, 45.0, 207.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-18", 1 ],
					"destination" : [ "obj-19", 2 ],
					"hidden" : 0,
					"midpoints" : [ 69.0, 192.0, 58.5, 192.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-1", 1 ],
					"destination" : [ "obj-19", 3 ],
					"hidden" : 0,
					"midpoints" : [ 100.5, 276.0, 72.0, 276.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-16", 1 ],
					"destination" : [ "obj-19", 4 ],
					"hidden" : 0,
					"midpoints" : [ 231.5, 286.0, 85.5, 286.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-2", 0 ],
					"destination" : [ "obj-19", 5 ],
					"hidden" : 0,
					"midpoints" : [ 276.5, 300.0, 99.0, 300.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-15", 0 ],
					"destination" : [ "obj-19", 5 ],
					"hidden" : 0,
					"midpoints" : [ 259.5, 300.0, 99.0, 300.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-12", 0 ],
					"destination" : [ "obj-19", 6 ],
					"hidden" : 0,
					"midpoints" : [ 292.5, 315.0, 112.5, 315.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-71", 1 ],
					"destination" : [ "obj-18", 0 ],
					"hidden" : 0,
					"midpoints" : [ 80.0, 160.0, 40.5, 160.0 ]
				}

			}
 ]
	}

}
